searchData={"items":[{"type":"module","title":"ExAzureVision","doc":"Public API functions to interact with Azure Computer Vision.","ref":"ExAzureVision.html"},{"type":"function","title":"ExAzureVision.analyze/2","doc":"","ref":"ExAzureVision.html#analyze/2"},{"type":"module","title":"ExAzureVision.HttpClient","doc":"Http client for Azure vision.","ref":"ExAzureVision.HttpClient.html"},{"type":"function","title":"ExAzureVision.HttpClient.base_url/0","doc":"","ref":"ExAzureVision.HttpClient.html#base_url/0"},{"type":"function","title":"ExAzureVision.HttpClient.header_name/0","doc":"","ref":"ExAzureVision.HttpClient.html#header_name/0"},{"type":"function","title":"ExAzureVision.HttpClient.request/3","doc":"Command for making http requests.","ref":"ExAzureVision.HttpClient.html#request/3"},{"type":"function","title":"Examples - ExAzureVision.HttpClient.request/3","doc":"iex> path = \"/vision/v3.2/analyze\"\n    iex> image_url = \"https://example.gif/sample.jpg\"\n    iex> query_params = %{\n    ...>   visualfeatures: \"Categories,Adult,Tags,Description,Faces,Objects\",\n    ...>   details: \"Landmarks\"\n    ...> }\n\n    iex> HttpClient.test_request(path, image_url, query)\n    {:ok,\n      %{\n        \"adult\" => %{\n          \"adultScore\" => 0.005666189827024937,\n          \"goreScore\" => 0.0019256346859037876,\n          \"isAdultContent\" => false,\n          \"isGoryContent\" => false,\n          \"isRacyContent\" => false,\n          \"racyScore\" => 0.00683207344263792\n        },\n        \"categories\" => [\n          %{\"name\" => \"abstract_\", \"score\" => 0.0078125},\n          %{\"name\" => \"others_\", \"score\" => 0.00390625}\n        ],\n        \"description\" => %{\n          \"captions\" => [\n            %{\n             \"confidence\" => 0.2948395609855652,\n             \"text\" => \"a couple dogs sitting on a stone walkway\"\n            }\n          ],\n          \"tags\" => [\"building\", \"ground\", \"way\", \"sidewalk\", \"stone\", \"cement\",\n          \"tiled\", \"dirty\"]\n        },\n        \"faces\" => [],\n        \"metadata\" => %{\"format\" => \"Jpeg\", \"height\" => 1778, \"width\" => 800},\n        \"modelVersion\" => \"2021-05-01\",\n        \"objects\" => [\n          %{\n            \"confidence\" => 0.719,\n            \"object\" => \"dog\",\n            \"parent\" => %{\n              \"confidence\" => 0.747,\n              \"object\" => \"mammal\",\n              \"parent\" => %{\"confidence\" => 0.748, \"object\" => \"animal\"}\n            },\n            \"rectangle\" => %{\"h\" => 171, \"w\" => 91, \"x\" => 427, \"y\" => 813}\n          }\n        ],\n        \"requestId\" => \"318058b0-01a9-4e78-9505-187b7ecdeada\",\n        \"tags\" => [\n          %{\"confidence\" => 0.9823349714279175, \"name\" => \"ground\"},\n          %{\"confidence\" => 0.9192745089530945, \"name\" => \"building\"},\n          %{\"confidence\" => 0.9079620838165283, \"name\" => \"animal\"},\n          %{\"confidence\" => 0.8770867586135864, \"name\" => \"outdoor\"},\n          %{\"confidence\" => 0.8415917754173279, \"name\" => \"flagstone\"},\n          %{\"confidence\" => 0.7894236445426941, \"name\" => \"cat\"},\n          %{\"confidence\" => 0.7836271524429321, \"name\" => \"floor\"},\n          %{\"confidence\" => 0.6647928953170776, \"name\" => \"sidewalk\"},\n          %{\"confidence\" => 0.5628304481506348, \"name\" => \"tile\"}\n        ]\n      }\n    }","ref":"ExAzureVision.HttpClient.html#request/3-examples"},{"type":"function","title":"ExAzureVision.HttpClient.scheme/0","doc":"","ref":"ExAzureVision.HttpClient.html#scheme/0"},{"type":"function","title":"ExAzureVision.HttpClient.subscription_key/0","doc":"","ref":"ExAzureVision.HttpClient.html#subscription_key/0"},{"type":"module","title":"ExAzureVision.ImageAnalysis","doc":"Module for analyzing image.","ref":"ExAzureVision.ImageAnalysis.html"},{"type":"function","title":"ExAzureVision.ImageAnalysis.analyze/2","doc":"Analyzes the image using url. Returns Jason decoded value or error message.\nCurrently it uses v3.2, please refer to this link: https://learn.microsoft.com/en-us/rest/api/computervision/analyze-image/analyze-image?view=rest-computervision-v3.2&tabs=HTTP","ref":"ExAzureVision.ImageAnalysis.html#analyze/2"},{"type":"function","title":"Examples - ExAzureVision.ImageAnalysis.analyze/2","doc":"image_url = \"https://example.gif/sample.jpg\"\n\n    query_params =\n      %{\n        visualfeatures: \"Categories,Adult,Tags,Description,Faces,Objects\",\n        details: \"Landmarks\"\n      }\n\n    iex> annotate_image(image_url, query_params)\n    %{\n      \"categories\" => [...],\n      \"description\" => [...],\n      ...\n    }","ref":"ExAzureVision.ImageAnalysis.html#analyze/2-examples"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).","ref":"changelog.html"},{"type":"extras","title":"0.1.3 (2024.10.24) - Changelog","doc":"","ref":"changelog.html#0-1-3-2024-10-24"},{"type":"extras","title":"Changed - Changelog","doc":"* Use [`Req`](https://hex.pm/packages/req) library instead of Httpoison.\n* Update documentation","ref":"changelog.html#changed"},{"type":"extras","title":"0.1.2 (2023.01.07) - Changelog","doc":"","ref":"changelog.html#0-1-2-2023-01-07"},{"type":"extras","title":"Fixed - Changelog","doc":"* Fix missing cacerts","ref":"changelog.html#fixed"},{"type":"extras","title":"0.1.1 (2023.01.06) - Changelog","doc":"","ref":"changelog.html#0-1-1-2023-01-06"},{"type":"extras","title":"Changed - Changelog","doc":"* Using `HTTPoison` over `:httpc`","ref":"changelog.html#changed"},{"type":"extras","title":"0.1.0 (2023.01.05) - Changelog","doc":"* Initial release","ref":"changelog.html#0-1-0-2023-01-05"},{"type":"extras","title":"License","doc":"# MIT License\n\nCopyright (c) 2021 Jaeyson Anthony Y.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"},{"type":"extras","title":"Overview","doc":"# ExAzureVision\n\nSimple REST wrapper for using Azure's [Computer vision](https://learn.microsoft.com/en-us/azure/cognitive-services/computer-vision/)","ref":"readme.html"},{"type":"extras","title":"Installation - Overview","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `ex_azure_vision` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ex_azure_vision, \"~> 0.1\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Config - Overview","doc":"```elixir\n# config/runtime.exs\nconfig :ex_azure_vision,\n  header_name: System.get_env(\"AZURE_OCP_APIM_HEADER_NAME\"),\n  subscription_key: System.get_env(\"AZURE_OCP_APIM_SUBSCRIPTION_KEY\"),\n  base_url: System.get_env(\"AZURE_COGNITIVE_VISION_BASE_URI\"),\n  scheme: \"https\"\n```","ref":"readme.html#config"},{"type":"extras","title":"Analyze image - Overview","doc":"```elixir\niex> image_url = \"https://images.unsplash.com/photo-1672676831425-207e5d4a0c41?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=687&q=80\"\n\niex> query_params = %{\n    visualfeatures: \"Categories,Adult,Tags,Description,Faces,Objects\",\n    details: \"Landmarks\"\n  }\n\niex> ExAzureVision.analyze(image_url, query_params)\n{:ok,\n %{\n   \"adult\" => %{\n     \"adultScore\" => 0.002399180782958865,\n     \"goreScore\" => 9.791345801204443e-4,\n     \"isAdultContent\" => false,\n     \"isGoryContent\" => false,\n     \"isRacyContent\" => false,\n     \"racyScore\" => 0.003331553190946579\n   },\n   \"categories\" => [\n     %{\n       \"detail\" => %{\"landmarks\" => []},\n       \"name\" => \"outdoor_\",\n       \"score\" => 0.00390625\n     },\n     %{\n       \"detail\" => %{\"landmarks\" => []},\n       \"name\" => \"outdoor_street\",\n       \"score\" => 0.6953125\n     }\n   ],\n   \"description\" => %{\n     \"captions\" => [\n       %{\n         \"confidence\" => 0.4641128182411194,\n         \"text\" => \"a red motorcycle parked on a sidewalk\"\n       }\n     ],\n     \"tags\" => [\"building\", \"outdoor\", \"way\", \"ground\", \"sidewalk\", \"parked\",\n      \"brick\", \"scene\", \"street\", \"red\", \"scooter\", \"stone\", \"curb\"]\n   },\n   \"faces\" => [],\n   \"metadata\" => %{\"format\" => \"Jpeg\", \"height\" => 1031, \"width\" => 687},\n   \"modelVersion\" => \"2021-05-01\",\n   \"objects\" => [\n     %{\n       \"confidence\" => 0.685,\n       \"object\" => \"Tire\",\n       \"parent\" => %{\"confidence\" => 0.69, \"object\" => \"Wheel\"},\n       \"rectangle\" => %{\"h\" => 120, \"w\" => 94, \"x\" => 299, \"y\" => 758}\n     },\n     %{\n       \"confidence\" => 0.836,\n       \"object\" => \"motorcycle\",\n       \"parent\" => %{\n         \"confidence\" => 0.837,\n         \"object\" => \"cycle\",\n         \"parent\" => %{\n           \"confidence\" => 0.839,\n           \"object\" => \"Land vehicle\",\n           \"parent\" => %{\"confidence\" => 0.839, \"object\" => \"Vehicle\"}\n         }\n       },\n       \"rectangle\" => %{\"h\" => 377, \"w\" => 264, \"x\" => 231, \"y\" => 502}\n     }\n   ],\n   \"requestId\" => \"6b771571-3a09-4e25-a1f2-281e4afd9601\",\n   \"tags\" => [\n     %{\"confidence\" => 0.9982832074165344, \"name\" => \"building\"},\n     %{\"confidence\" => 0.9925278425216675, \"name\" => \"outdoor\"},\n     %{\"confidence\" => 0.97878497838974, \"name\" => \"vehicle\"},\n     %{\"confidence\" => 0.9700937271118164, \"name\" => \"motorcycle\"},\n     %{\"confidence\" => 0.9631041288375854, \"name\" => \"tire\"},\n     %{\"confidence\" => 0.9608349204063416, \"name\" => \"land vehicle\"},\n     %{\"confidence\" => 0.9542198777198792, \"name\" => \"wheel\"},\n     %{\"confidence\" => 0.9527726173400879, \"name\" => \"brick\"},\n     %{\"confidence\" => 0.9033293724060059, \"name\" => \"window\"},\n     %{\"confidence\" => 0.8922328352928162, \"name\" => \"red\"},\n     %{\"confidence\" => 0.8901116251945496, \"name\" => \"parked\"},\n     %{\"confidence\" => 0.8846046924591064, \"name\" => \"auto part\"},\n     %{\"confidence\" => 0.8454196453094482, \"name\" => \"road\"},\n     %{\"confidence\" => 0.8162581920623779, \"name\" => \"ground\"},\n     %{\"confidence\" => 0.7266983389854431, \"name\" => \"street\"},\n     %{\"confidence\" => 0.6291871666908264, \"name\" => \"scooter\"},\n     %{\"confidence\" => 0.587371289730072, \"name\" => \"sidewalk\"},\n     %{\"confidence\" => 0.5613589286804199, \"name\" => \"house\"}\n   ]\n }\n}\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#analyze-image"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}